Subject: bug#35519: librsvg broken on i686-linux

From: Danny Milosavljevic <[email-masked]>
Date: Sat, 11 May 2019 16:16:32 +0200

Hi Mark,

On Sat, 11 May 2019 04:03:41 -0400
Mark H Weaver <[email-masked]> wrote:

> Hmm.  What makes you think that 'invoke' swallowed the output?  You
> might be right, but 'invoke' is used quite widely by now in Guix,
> including to invoke 'make' in gnu-build-system, and I haven't seen
> reports of it swallowing output.

I found out what was up with invoke.  The child process didn't output
anything on stdout or stderr, but it died with SIGFPE and I either
was unable to interpret invoke's exception properly, or it didn't say
(probably the former).

It seems that mrustc uses a different gcc version than rust 1.19 which
seems to be a bad idea to me, but not sure whether it's the cause of
the SIGFPE.